//Graphics_Functions.h

void fillRectangle(int x, int y, int w, int h, int r, int g, int b);
void fillCircle(int x, int y, int r, int red, int green, int blue);
void drawRectangle(int x, int y, int w, int h, int r, int g, int b);
void drawCircle(int x, int y, int r, int red, int green, int blue);
void drawLine(int x1, int x2, int y1, int y2, int r, int g, int b);
void drawChar(int x1, int y1, int charVal, int r, int g, int b);
void drawString(int x1, int y1, char *string, int r, int g, int b);
void drawPolygon(int *x, int *y, int elems, int r, int g, int b);
void writeInstruction(int PC, char a, char b, char c, char d, char e, char f);
void startProgram(void);
void startDownload(void);
void finishDownload(void);
void frameUpdate(void);
void setDrawMode(int dm);
void sendInstruction(int *instr);
int computeChecksum(int *packet);

